Bug 71907 - mailq doesn't check clientmqueue
mailq doesn't check clientmqueue
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
8.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-08-20 01:00 EDT by Douglas Kilpatrick
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-26 14:15:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas Kilpatrick 2002-08-20 01:00:51 EDT
Description of Problem:   
mailq did not report queued mail related mentioned in bug 71906.  The mail was  
queued in /var/spool/clientmqueue, but mailq only checked /var/spool/mqueue  
   
Version-Release number of selected component (if applicable):   
 sendmail-8.12.5-5  
   
How Reproducible:   
Well, first cause some mail to get queued up waiting to get to the sendmail  
process....   
   
Steps to Reproduce:   
1. kill the sendmail daemon.  
2. use "mailx" to send some mail (externally?)  
3. use "mailq" to verify that the mail got sent and isn't hanging around for  
some weird reason.  
   
Actual Results:   
$ mailq  
/var/spool/mqueue is empty  
                Total requests: 0  
  
Expected Results:   
 the unsent mail should be listed as unsent.  
   
Additional Information:
Comment 1 Florian La Roche 2002-12-02 16:15:37 EST
mailq is only looking at the outgoing queue and you have to specify a
different queue dir to get more information on the clientqueue dir.

This change should be done upstream and not be modified only
for Red Hat Linux, so I am closing this bugreport here.

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.